<?php

namespace App\Services;

use App\Constant\OTPAction;
use App\Models\api\v1\ApiKey;
use App\Models\User;
use App\Constant\OTPStatus;
use App\Models\api\v1\MfaCode;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Mediumart\Orange\SMS\Http\SMSClient;
use Mediumart\Orange\SMS\SMS;

class ApiKeyService
{

    public static function getApiKey(Request $request): ?ApiKey
    {
        return $request->v_api_key;
    }


    public static function setApiKey(Request $request, ?ApiKey $key)
    {
        $request->merge(['v_api_key' => $key]);
    }

}
